#
# Conditional build:
%bcond_without	log4cplus	# log4cplus based logging

Summary:	Easy-to-use interface for accessing system statistics and information
Summary(pl.UTF-8):	Łatwy w użyciu interfejs dostępu do statystyk i informacji o systemie
Name:		libstatgrab
Version:	0.92.1
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/libstatgrab/libstatgrab/releases/
Source0:	https://github.com/libstatgrab/libstatgrab/releases/download/LIBSTATGRAB_0_92_1/%{name}-%{version}.tar.gz
# Source0-md5:	af685494e985229e0ac46365bc0cd50e
URL:		https://libstatgrab.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	linux-libc-headers >= 7:2.6.11.1-2
%{?with_log4cplus:BuildRequires:	log4cplus-devel >= 1.0.5}
%{?with_log4cplus:Requires:	log4cplus >= 1.0.5}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libstatgrab library provides an easy-to-use interface for
accessing system statistics and information. Available statistics
include CPU, Load, Memory, Swap, Disk I/O, and Network I/O. It was
developed to work on Linux, FreeBSD, and Solaris. The package also
includes two tools: saidar provides a curses-based interface for
viewing live system statistics, and statgrab is a sysctl-like
interface to the statistics.

%description -l pl.UTF-8
Biblioteka libstatgrab dostarcza łatwego w użyciu interfejsu dostępu
do informacji i statystyk systemowych. Dostępne statystyki obejmują
CPU, obciążenie, pamięć swap, dyskowe i sieciowe operacje we./wy. .
libstatgrab został stworzony by działać na linuksie, FreeBSD i
Solarisie. Pakiet zawiera także dwa narzędzia: saidar dostarcza
bazującego na curses interfejsu do przeglądania statystyk systemu i
statgrab, który jest interfejsem podobnym do sysctl dla statystyk.

%package devel
Summary:	Header files for libstatgrab library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libstatgrab
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_log4cplus:Requires:	log4cplus-devel >= 1.0.5}

%description devel
Header files for libstatgrab library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libstatgrab.

%package static
Summary:	Static libstatgrab library
Summary(pl.UTF-8):	Statyczna biblioteka libstatgrab
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libstatgrab library.

%description static -l pl.UTF-8
Statyczna biblioteka libstatgrab.

%package -n statgrab
Summary:	sysctl-style interface to system statistics
Summary(pl.UTF-8):	Podobny do sysctl interfejs do statystyk systemu
License:	GPL v2+
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n statgrab
statgrab provides a sysctl-style interface to all the system
statistics available through libstatgrab. This is useful for
applications that don't want to make library calls, but still want to
access the statistics.

An example of such an application is mrtg, for which scripts are
provided to generate configuration files.

%description -n statgrab -l pl.UTF-8
statgrab udostępnia podobny do sysctl interfejs do wszystkich
statystyk systemu dostępnych poprzez libstatgrab. Jest to przydatne
dla aplikacji nie chcących wykonywać wywołań bibliotecznych, ale
chcących mieć dostęp do statystyk.

Przykładem takiej aplikacji jest mrtg, dla którego dostępne są
skrypty do generowania plików konfiguracyjnych.

%package -n saidar
Summary:	A curses-based tool for viewing system statistics
Summary(pl.UTF-8):	Oparte na curses narzędzie do oglądania statystyk systemu
License:	GPL v2+
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n saidar
saidar is a curses-based tool for viewing the system statistics
available through libstatgrab. Statistics include CPU, processes,
load, memory, swap, network I/O, disk I/O, and file system
information.

%description -n saidar -l pl.UTF-8
saidar to oparte na curses narzędzie do oglądania statystyk systemu
dostępnych poprzez libstatgrab. Statystyki obejmują informacje o
procesorach, procesach, obciążeniu, pamięci, swapie, operacjach we/wy
sieciowych i dyskowych oraz systemach plików.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-curses-prefix=/usr \
	--with-ncurses \
	--disable-setgid-binaries \
	--disable-setuid-binaries \
	%{?with_log4cplus:--enable-logging}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libstatgrab.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README PLATFORMS
%attr(755,root,root) %{_libdir}/libstatgrab.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstatgrab.so.10

%files devel
%defattr(644,root,root,755)
%doc examples/*.c
%attr(755,root,root) %{_libdir}/libstatgrab.so
%{_includedir}/statgrab*.h
%{_pkgconfigdir}/libstatgrab.pc
%{_mandir}/man3/libstatgrab.3*
%{_mandir}/man3/sg_*.3*
%{_mandir}/man3/statgrab.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libstatgrab.a

%files -n statgrab
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/statgrab*
%if %{with log4cplus}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/statgrab.properties
%endif
%{_mandir}/man1/statgrab*.1*

%files -n saidar
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/saidar
%if %{with log4cplus}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/saidar.properties
%endif
%{_mandir}/man1/saidar.1*
%changelog
* Thu Jun 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libstatgrab.git;a=log;h=master

* Thu Jun 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 994720c
- release 2 (log4cplus 2.1.x)

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> fc36936
- dropped Makefile-fix patch, --disable-set*id-binaries options are sufficient

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> dd65872
- updated to 0.92.1
- added log4cplus bcond

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 58eaa90
- new URLs, updated to 0.92

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 28bc409
- up to 0.91

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b5978dd
- x32 rebuild
- release 3 (by relup.sh)

* Thu May 09 2013 Marcin Krol <hawk@tld-linux.org> f93031d
- release 2 (by relup.sh)

* Sun Jan 22 2012 Jakub Bogusz <qboosh@pld-linux.org> e049166
- more verbose files
- programs License is GPL (v2+)

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> ed6b9ed
- up to 0.17

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 19dc1bf
- release 3

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> 74affb0
- rel.2

* Mon Mar 24 2008 Adam Gołębiowski <adamg@pld-linux.org> 8c237f2
- updated to 0.16

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 9528ecb
- up to 0.15

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 96f36ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 51d3b70
- converted to UTF-8

* Sun Jan 28 2007 matowy <matowy@pld-linux.org> 53ad819
- up to 0.14

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> 7b0a1b3
- updated to 0.13

* Wed Mar 01 2006 Elan Ruusamäe <glen@pld-linux.org> 0e7579d
- adapterized (killed trailing spaces/tabs)

* Fri Jan 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 5637b38
- pl for new packages

* Thu Jan 26 2006 Artur Frysiak <artur@frysiak.net> 70424a3
- updated to 0.12
- statgrab and saidar moved to subpackages
- package C examples as doc

